[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LCLProc' (#lcl)

# DbgSName

Deprecated. Use DbgSName from LazLoggerIntf instead.

## Declaration

Source position: lclproc.pas line 201

`function DbgSName(`
`const p: TObject`
`):string; overload; function DbgSName(`
`const p: TClass`
`):string; overload;`

## Description

Returns the component or class name.

## Version info

Deprecated in LCL version 3.99 (Apr 2024).

## See also

LazLoggerBase.DbgSName